### Method

# Ggit CheckoutOptions set_baseline

#### Declaration [src]

    void
    ggit_checkout_options_set_baseline (
      GgitCheckoutOptions* options,
      GgitTree* tree
    )

#### Description [src]

Set the baseline, i.e. the expected content of workdir. If `tree` is set to `NULL`, the default (HEAD) will be used as the baseline.

Sets property | `Ggit.CheckoutOptions:baseline`

#### Parameters

`tree`

  Type: `GgitTree`

  A `GgitTree`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.